Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2964 r2985  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068 
    1069   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1068  --enable-doscompile     Under Cygwin, compile so that executables run under
     1069                          DOS. Set to mingw to use gcc/g++/ld with
     1070                          -mno-cygwin. Set to msvc to use cl/link (or
     1071                          icl/link). Default when mentioned: mingw. Default
     1072                          when not mentioned: disabled.
    10701073  --enable-static[=PKGS]
    10711074                          build static libraries [default=no]
     
    18861889
    18871890# Get the name of the C compiler and compiler flags
    1888 
    1889 
    1890   # for backward compatibility
    1891   # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   enable_doscompile=$enableval
    1895 else
    1896   enable_doscompile=no
    1897 fi;
    1898 
    1899   # Check whether --enable-msvc or --disable-msvc was given.
    1900 if test "${enable_msvc+set}" = set; then
    1901   enableval="$enable_msvc"
    1902   enable_msvc=$enableval
    1903 else
    1904   enable_msvc=no
    1905      if test "$enable_doscompile" = msvc ; then
    1906        enable_msvc=yes
    1907      elif test "$enable_doscompile" != no ; then
    1908        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1909 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1910    { (exit 1); exit 1; }; }
    1911      fi
    1912 
    1913 fi;
    1914 
    1915   if test "$enable_msvc" = yes; then
    1916     case $build in
    1917       *-cygwin* | *-mingw*) ;;
    1918       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1919 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1920    { (exit 1); exit 1; }; } ;;
    1921     esac
    1922   fi
    1923 
    1924 
    1925  case $build in
     1891case $build in
    19261892  *-mingw*)
    19271893    if test "${LD+set}" = set; then :; else
     
    19301896    ;;
    19311897 esac
    1932  if test $enable_msvc = yes ; then
    1933    if test "x${LD+set}" = xset; then :; else
    1934      LD=link
     1898 case $enable_doscompile in
     1899   msvc)
     1900     if test "x${LD+set}" = xset; then :; else
     1901       LD=link
     1902     fi
     1903     ;;
     1904 esac
     1905
     1906
     1907 # Check whether --enable-doscompile or --disable-doscompile was given.
     1908if test "${enable_doscompile+set}" = set; then
     1909  enableval="$enable_doscompile"
     1910  if test "$enable_doscompile" != no; then
     1911     case $build in
     1912       *-cygwin* | *-mingw*) ;;
     1913       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1914echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1915   { (exit 1); exit 1; }; } ;;
     1916     esac
    19351917   fi
    1936  fi
    1937 
    1938 
    1939 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1940 if test "${enable_static_standardlibs+set}" = set; then
    1941   enableval="$enable_static_standardlibs"
    1942   case "$enableval" in
    1943      no | yes | auto ) ;;
    1944      *)
    1945        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1946 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1947    { (exit 1); exit 1; }; } ;;
    1948    esac
    1949    use_static_standardlibs=$enableval
    1950 else
    1951   use_static_standardlibs=no
     1918else
     1919  enable_doscompile=no
    19521920fi;
    1953 
     1921 case "$enable_doscompile" in
     1922   mingw)
     1923     case $build in
     1924       *-mingw*) enable_doscompile=no ;;
     1925     esac
     1926     ;;
     1927   msvc|no) ;;
     1928   yes) enable_doscompile=mingw ;;
     1929   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1930                    Try configure --help=recursive." >&5
     1931echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1932                    Try configure --help=recursive." >&2;}
     1933   { (exit 1); exit 1; }; }
     1934      ;;
     1935  esac
     1936  if test "$enable_doscompile" != no ; then
     1937    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1938echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1939  fi
    19541940
    19551941
     
    19941980case $build in
    19951981  *-cygwin* | *-mingw*)
    1996              if test "$enable_msvc" = yes ; then
    1997                comps="icl cl gcc"
     1982             if test "$enable_doscompile" = msvc ; then
     1983               comps="icl cl"
    19981984             else
    1999                comps="gcc icl cl"
     1985               comps="gcc cl"
    20001986             fi ;;
    20011987  *-*-solaris*)
     
    28502836            ;;
    28512837        esac
     2838        case $enable_doscompile in
     2839          mingw)
     2840            CFLAGS="-mno-cygwin"
     2841            cat >conftest.$ac_ext <<_ACEOF
     2842/* confdefs.h.  */
     2843_ACEOF
     2844cat confdefs.h >>conftest.$ac_ext
     2845cat >>conftest.$ac_ext <<_ACEOF
     2846/* end confdefs.h.  */
     2847
     2848int
     2849main ()
     2850{
     2851int i=0; i++;
     2852  ;
     2853  return 0;
     2854}
     2855_ACEOF
     2856rm -f conftest.$ac_objext conftest$ac_exeext
     2857if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2858  (eval $ac_link) 2>conftest.er1
     2859  ac_status=$?
     2860  grep -v '^ *+' conftest.er1 >conftest.err
     2861  rm -f conftest.er1
     2862  cat conftest.err >&5
     2863  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2864  (exit $ac_status); } &&
     2865         { ac_try='test -z "$ac_c_werror_flag"
     2866                         || test ! -s conftest.err'
     2867  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2868  (eval $ac_try) 2>&5
     2869  ac_status=$?
     2870  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2871  (exit $ac_status); }; } &&
     2872         { ac_try='test -s conftest$ac_exeext'
     2873  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2874  (eval $ac_try) 2>&5
     2875  ac_status=$?
     2876  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2877  (exit $ac_status); }; }; then
     2878  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2879else
     2880  echo "$as_me: failed program was:" >&5
     2881sed 's/^/| /' conftest.$ac_ext >&5
     2882
     2883fi
     2884rm -f conftest.err conftest.$ac_objext \
     2885      conftest$ac_exeext conftest.$ac_ext
     2886            CFLAGS=
     2887          ;;
     2888        esac
    28522889    esac
    28532890  fi
     
    30403077    CFLAGS="$OPT_CFLAGS"
    30413078  fi
    3042 
    30433079else
    30443080  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31913227  clang* ) ;;
    31923228  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3193 
    3194  case $build in
     3229    case $build in
    31953230  *-mingw*)
    31963231    if test "${LD+set}" = set; then :; else
     
    31993234    ;;
    32003235 esac
    3201  if test $enable_msvc = yes ; then
    3202    if test "x${LD+set}" = xset; then :; else
    3203      LD=link
    3204    fi
    3205  fi
     3236 case $enable_doscompile in
     3237   msvc)
     3238     if test "x${LD+set}" = xset; then :; else
     3239       LD=link
     3240     fi
     3241     ;;
     3242 esac
    32063243
    32073244    ;;
    32083245esac
    3209 
    3210 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3211 if test x$use_static_standardlibs != xno ; then
    3212   case $build in
    3213     *-mingw*)
    3214       static_standardlib_flag=-static
    3215       ;;
    3216     *)
    3217       static_standardlib_flag=-static-libgcc
    3218       ;;
    3219   esac
    3220   case " $LDFLAGS " in
    3221     *" $static_standardlib_flag "* ) ;;
    3222     *)
    3223     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3224 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3225     coin_save_LDFLAGS="$LDFLAGS"
    3226     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3227     cat >conftest.$ac_ext <<_ACEOF
    3228 /* confdefs.h.  */
    3229 _ACEOF
    3230 cat confdefs.h >>conftest.$ac_ext
    3231 cat >>conftest.$ac_ext <<_ACEOF
    3232 /* end confdefs.h.  */
    3233 
    3234 int
    3235 main ()
    3236 {
    3237 int i=0;
    3238   ;
    3239   return 0;
    3240 }
    3241 _ACEOF
    3242 rm -f conftest.$ac_objext conftest$ac_exeext
    3243 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3244   (eval $ac_link) 2>conftest.er1
    3245   ac_status=$?
    3246   grep -v '^ *+' conftest.er1 >conftest.err
    3247   rm -f conftest.er1
    3248   cat conftest.err >&5
    3249   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3250   (exit $ac_status); } &&
    3251          { ac_try='test -z "$ac_c_werror_flag"
    3252                          || test ! -s conftest.err'
    3253   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3254   (eval $ac_try) 2>&5
    3255   ac_status=$?
    3256   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3257   (exit $ac_status); }; } &&
    3258          { ac_try='test -s conftest$ac_exeext'
    3259   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3260   (eval $ac_try) 2>&5
    3261   ac_status=$?
    3262   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3263   (exit $ac_status); }; }; then
    3264   echo "$as_me:$LINENO: result: yes" >&5
    3265 echo "${ECHO_T}yes" >&6
    3266 else
    3267   echo "$as_me: failed program was:" >&5
    3268 sed 's/^/| /' conftest.$ac_ext >&5
    3269 
    3270 echo "$as_me:$LINENO: result: no" >&5
    3271 echo "${ECHO_T}no" >&6
    3272        LDFLAGS="$coin_save_LDFLAGS"
    3273        if test $use_static_standardlibs = yes ; then
    3274          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3275 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3276    { (exit 1); exit 1; }; }
    3277        fi
    3278 
    3279 fi
    3280 rm -f conftest.err conftest.$ac_objext \
    3281       conftest$ac_exeext conftest.$ac_ext
    3282     ;;
    3283   esac
    3284 fi
    32853246
    32863247ac_ext=c
     
    49174878*-*-irix6*)
    49184879  # Find out which ABI we are using.
    4919   echo '#line 4919 "configure"' > conftest.$ac_ext
     4880  echo '#line 4880 "configure"' > conftest.$ac_ext
    49204881  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49214882  (eval $ac_compile) 2>&5
     
    65166477
    65176478# Provide some information about the compiler.
    6518 echo "$as_me:6518:" \
     6479echo "$as_me:6479:" \
    65196480     "checking for Fortran 77 compiler version" >&5
    65206481ac_compiler=`set X $ac_compile; echo $2`
     
    75837544   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75847545   -e 's:$: $lt_compiler_flag:'`
    7585    (eval echo "\"\$as_me:7585: $lt_compile\"" >&5)
     7546   (eval echo "\"\$as_me:7546: $lt_compile\"" >&5)
    75867547   (eval "$lt_compile" 2>conftest.err)
    75877548   ac_status=$?
    75887549   cat conftest.err >&5
    7589    echo "$as_me:7589: \$? = $ac_status" >&5
     7550   echo "$as_me:7550: \$? = $ac_status" >&5
    75907551   if (exit $ac_status) && test -s "$ac_outfile"; then
    75917552     # The compiler can only warn and ignore the option if not recognized
     
    78517812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78527813   -e 's:$: $lt_compiler_flag:'`
    7853    (eval echo "\"\$as_me:7853: $lt_compile\"" >&5)
     7814   (eval echo "\"\$as_me:7814: $lt_compile\"" >&5)
    78547815   (eval "$lt_compile" 2>conftest.err)
    78557816   ac_status=$?
    78567817   cat conftest.err >&5
    7857    echo "$as_me:7857: \$? = $ac_status" >&5
     7818   echo "$as_me:7818: \$? = $ac_status" >&5
    78587819   if (exit $ac_status) && test -s "$ac_outfile"; then
    78597820     # The compiler can only warn and ignore the option if not recognized
     
    79557916   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79567917   -e 's:$: $lt_compiler_flag:'`
    7957    (eval echo "\"\$as_me:7957: $lt_compile\"" >&5)
     7918   (eval echo "\"\$as_me:7918: $lt_compile\"" >&5)
    79587919   (eval "$lt_compile" 2>out/conftest.err)
    79597920   ac_status=$?
    79607921   cat out/conftest.err >&5
    7961    echo "$as_me:7961: \$? = $ac_status" >&5
     7922   echo "$as_me:7922: \$? = $ac_status" >&5
    79627923   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    79637924   then
     
    1030010261  lt_status=$lt_dlunknown
    1030110262  cat > conftest.$ac_ext <<EOF
    10302 #line 10302 "configure"
     10263#line 10263 "configure"
    1030310264#include "confdefs.h"
    1030410265
     
    1040010361  lt_status=$lt_dlunknown
    1040110362  cat > conftest.$ac_ext <<EOF
    10402 #line 10402 "configure"
     10363#line 10363 "configure"
    1040310364#include "confdefs.h"
    1040410365
     
    1274412705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1274512706   -e 's:$: $lt_compiler_flag:'`
    12746    (eval echo "\"\$as_me:12746: $lt_compile\"" >&5)
     12707   (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
    1274712708   (eval "$lt_compile" 2>conftest.err)
    1274812709   ac_status=$?
    1274912710   cat conftest.err >&5
    12750    echo "$as_me:12750: \$? = $ac_status" >&5
     12711   echo "$as_me:12711: \$? = $ac_status" >&5
    1275112712   if (exit $ac_status) && test -s "$ac_outfile"; then
    1275212713     # The compiler can only warn and ignore the option if not recognized
     
    1284812809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1284912810   -e 's:$: $lt_compiler_flag:'`
    12850    (eval echo "\"\$as_me:12850: $lt_compile\"" >&5)
     12811   (eval echo "\"\$as_me:12811: $lt_compile\"" >&5)
    1285112812   (eval "$lt_compile" 2>out/conftest.err)
    1285212813   ac_status=$?
    1285312814   cat out/conftest.err >&5
    12854    echo "$as_me:12854: \$? = $ac_status" >&5
     12815   echo "$as_me:12815: \$? = $ac_status" >&5
    1285512816   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1285612817   then
     
    1441814379   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1441914380   -e 's:$: $lt_compiler_flag:'`
    14420    (eval echo "\"\$as_me:14420: $lt_compile\"" >&5)
     14381   (eval echo "\"\$as_me:14381: $lt_compile\"" >&5)
    1442114382   (eval "$lt_compile" 2>conftest.err)
    1442214383   ac_status=$?
    1442314384   cat conftest.err >&5
    14424    echo "$as_me:14424: \$? = $ac_status" >&5
     14385   echo "$as_me:14385: \$? = $ac_status" >&5
    1442514386   if (exit $ac_status) && test -s "$ac_outfile"; then
    1442614387     # The compiler can only warn and ignore the option if not recognized
     
    1452214483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1452314484   -e 's:$: $lt_compiler_flag:'`
    14524    (eval echo "\"\$as_me:14524: $lt_compile\"" >&5)
     14485   (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
    1452514486   (eval "$lt_compile" 2>out/conftest.err)
    1452614487   ac_status=$?
    1452714488   cat out/conftest.err >&5
    14528    echo "$as_me:14528: \$? = $ac_status" >&5
     14489   echo "$as_me:14489: \$? = $ac_status" >&5
    1452914490   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1453014491   then
     
    1672916690   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1673016691   -e 's:$: $lt_compiler_flag:'`
    16731    (eval echo "\"\$as_me:16731: $lt_compile\"" >&5)
     16692   (eval echo "\"\$as_me:16692: $lt_compile\"" >&5)
    1673216693   (eval "$lt_compile" 2>conftest.err)
    1673316694   ac_status=$?
    1673416695   cat conftest.err >&5
    16735    echo "$as_me:16735: \$? = $ac_status" >&5
     16696   echo "$as_me:16696: \$? = $ac_status" >&5
    1673616697   if (exit $ac_status) && test -s "$ac_outfile"; then
    1673716698     # The compiler can only warn and ignore the option if not recognized
     
    1699716958   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1699816959   -e 's:$: $lt_compiler_flag:'`
    16999    (eval echo "\"\$as_me:16999: $lt_compile\"" >&5)
     16960   (eval echo "\"\$as_me:16960: $lt_compile\"" >&5)
    1700016961   (eval "$lt_compile" 2>conftest.err)
    1700116962   ac_status=$?
    1700216963   cat conftest.err >&5
    17003    echo "$as_me:17003: \$? = $ac_status" >&5
     16964   echo "$as_me:16964: \$? = $ac_status" >&5
    1700416965   if (exit $ac_status) && test -s "$ac_outfile"; then
    1700516966     # The compiler can only warn and ignore the option if not recognized
     
    1710117062   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1710217063   -e 's:$: $lt_compiler_flag:'`
    17103    (eval echo "\"\$as_me:17103: $lt_compile\"" >&5)
     17064   (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
    1710417065   (eval "$lt_compile" 2>out/conftest.err)
    1710517066   ac_status=$?
    1710617067   cat out/conftest.err >&5
    17107    echo "$as_me:17107: \$? = $ac_status" >&5
     17068   echo "$as_me:17068: \$? = $ac_status" >&5
    1710817069   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1710917070   then
     
    2054320504echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2054420505coin_link_input_cmd="$LN_S"
     20506if test "$enable_doscompile" = mingw; then
     20507  coin_link_input_cmd=cp
     20508fi
    2054520509case "$CC" in
    2054620510  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.